# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "elasticsearch-transport"
  s.version = "1.0.7"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Karel Minarik"]
  s.date = "2015-03-03"
  s.description = "Ruby client for Elasticsearch. See the `elasticsearch` gem for full integration.\n"
  s.email = ["karel.minarik@elasticsearch.org"]
  s.extra_rdoc_files = ["README.md", "LICENSE.txt"]
  s.files = [".gitignore", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "elasticsearch-transport.gemspec", "lib/elasticsearch-transport.rb", "lib/elasticsearch/transport.rb", "lib/elasticsearch/transport/client.rb", "lib/elasticsearch/transport/transport/base.rb", "lib/elasticsearch/transport/transport/connections/collection.rb", "lib/elasticsearch/transport/transport/connections/connection.rb", "lib/elasticsearch/transport/transport/connections/selector.rb", "lib/elasticsearch/transport/transport/errors.rb", "lib/elasticsearch/transport/transport/http/curb.rb", "lib/elasticsearch/transport/transport/http/faraday.rb", "lib/elasticsearch/transport/transport/http/manticore.rb", "lib/elasticsearch/transport/transport/response.rb", "lib/elasticsearch/transport/transport/serializer/multi_json.rb", "lib/elasticsearch/transport/transport/sniffer.rb", "lib/elasticsearch/transport/version.rb", "test/integration/client_test.rb", "test/integration/transport_test.rb", "test/profile/client_benchmark_test.rb", "test/test_helper.rb", "test/unit/client_test.rb", "test/unit/connection_collection_test.rb", "test/unit/connection_selector_test.rb", "test/unit/connection_test.rb", "test/unit/response_test.rb", "test/unit/serializer_test.rb", "test/unit/sniffer_test.rb", "test/unit/transport_base_test.rb", "test/unit/transport_curb_test.rb", "test/unit/transport_faraday_test.rb", "test/unit/transport_manticore_test.rb"]
  s.homepage = "https://github.com/elasticsearch/elasticsearch-ruby/tree/master/elasticsearch-transport"
  s.licenses = ["Apache 2"]
  s.rdoc_options = ["--charset=UTF-8"]
  s.require_paths = ["lib"]
  s.rubygems_version = "2.0.14"
  s.summary = "Ruby client for Elasticsearch."
  s.test_files = ["test/integration/client_test.rb", "test/integration/transport_test.rb", "test/profile/client_benchmark_test.rb", "test/test_helper.rb", "test/unit/client_test.rb", "test/unit/connection_collection_test.rb", "test/unit/connection_selector_test.rb", "test/unit/connection_test.rb", "test/unit/response_test.rb", "test/unit/serializer_test.rb", "test/unit/sniffer_test.rb", "test/unit/transport_base_test.rb", "test/unit/transport_curb_test.rb", "test/unit/transport_faraday_test.rb", "test/unit/transport_manticore_test.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<multi_json>, [">= 0"])
      s.add_runtime_dependency(%q<faraday>, [">= 0"])
      s.add_development_dependency(%q<bundler>, ["> 1"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<elasticsearch-extensions>, [">= 0"])
      s.add_development_dependency(%q<ansi>, [">= 0"])
      s.add_development_dependency(%q<shoulda-context>, [">= 0"])
      s.add_development_dependency(%q<mocha>, [">= 0"])
      s.add_development_dependency(%q<turn>, [">= 0"])
      s.add_development_dependency(%q<yard>, [">= 0"])
      s.add_development_dependency(%q<pry>, [">= 0"])
      s.add_development_dependency(%q<ci_reporter>, ["~> 1.9"])
      s.add_development_dependency(%q<curb>, [">= 0"])
      s.add_development_dependency(%q<patron>, [">= 0"])
      s.add_development_dependency(%q<typhoeus>, ["~> 0.6"])
      s.add_development_dependency(%q<minitest>, ["~> 4.0"])
      s.add_development_dependency(%q<ruby-prof>, [">= 0"])
      s.add_development_dependency(%q<require-prof>, [">= 0"])
      s.add_development_dependency(%q<simplecov>, [">= 0"])
      s.add_development_dependency(%q<simplecov-rcov>, [">= 0"])
      s.add_development_dependency(%q<cane>, [">= 0"])
    else
      s.add_dependency(%q<multi_json>, [">= 0"])
      s.add_dependency(%q<faraday>, [">= 0"])
      s.add_dependency(%q<bundler>, ["> 1"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<elasticsearch-extensions>, [">= 0"])
      s.add_dependency(%q<ansi>, [">= 0"])
      s.add_dependency(%q<shoulda-context>, [">= 0"])
      s.add_dependency(%q<mocha>, [">= 0"])
      s.add_dependency(%q<turn>, [">= 0"])
      s.add_dependency(%q<yard>, [">= 0"])
      s.add_dependency(%q<pry>, [">= 0"])
      s.add_dependency(%q<ci_reporter>, ["~> 1.9"])
      s.add_dependency(%q<curb>, [">= 0"])
      s.add_dependency(%q<patron>, [">= 0"])
      s.add_dependency(%q<typhoeus>, ["~> 0.6"])
      s.add_dependency(%q<minitest>, ["~> 4.0"])
      s.add_dependency(%q<ruby-prof>, [">= 0"])
      s.add_dependency(%q<require-prof>, [">= 0"])
      s.add_dependency(%q<simplecov>, [">= 0"])
      s.add_dependency(%q<simplecov-rcov>, [">= 0"])
      s.add_dependency(%q<cane>, [">= 0"])
    end
  else
    s.add_dependency(%q<multi_json>, [">= 0"])
    s.add_dependency(%q<faraday>, [">= 0"])
    s.add_dependency(%q<bundler>, ["> 1"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<elasticsearch-extensions>, [">= 0"])
    s.add_dependency(%q<ansi>, [">= 0"])
    s.add_dependency(%q<shoulda-context>, [">= 0"])
    s.add_dependency(%q<mocha>, [">= 0"])
    s.add_dependency(%q<turn>, [">= 0"])
    s.add_dependency(%q<yard>, [">= 0"])
    s.add_dependency(%q<pry>, [">= 0"])
    s.add_dependency(%q<ci_reporter>, ["~> 1.9"])
    s.add_dependency(%q<curb>, [">= 0"])
    s.add_dependency(%q<patron>, [">= 0"])
    s.add_dependency(%q<typhoeus>, ["~> 0.6"])
    s.add_dependency(%q<minitest>, ["~> 4.0"])
    s.add_dependency(%q<ruby-prof>, [">= 0"])
    s.add_dependency(%q<require-prof>, [">= 0"])
    s.add_dependency(%q<simplecov>, [">= 0"])
    s.add_dependency(%q<simplecov-rcov>, [">= 0"])
    s.add_dependency(%q<cane>, [">= 0"])
  end
end

